function onBegin()
	
	disableMovement()
	makeUnskippable()
	disableRetry()
	
	say("KtA_CTSD_Concept01_00")
	enableMovement()
	enableRetry()
	setFlag("startflashback",true)
	
end

function onEnd(room, wasSkipped)
	enableMovement()
	enableRetry()
end